%define module funcsigs

Name:           python-funcsigs
Version:        0.4
Release:        %mkrel 4
Summary:        Python function signatures from PEP362 for Python 2.6, 2.7 and 3.2+

Group:          Development/Python
License:        ASL
URL:            http://funcsigs.readthedocs.org/
Source0:        http://pypi.python.org/packages/source/f/%{module}/%{module}-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  pkgconfig(python)
BuildRequires:  python-setuptools

BuildRequires:  pkgconfig(python3)
BuildRequires:  python3-setuptools


%description
funcsigs is a backport of the PEP 362 function signature features from
Python 3.3’s inspect module.

%package -n python3-funcsigs
Summary:        Python function signatures from PEP362 for Python 2.6, 2.7 and 3.2+
Group:          Development/Python

%description -n python3-funcsigs
funcsigs is a backport of the PEP 362 function signature features from
Python 3.3’s inspect module.

%prep
%setup -q -n %{module}-%{version}

cp -ap . %{py3dir}


%build
%py2_build

pushd %{py3dir}
%py3_build
popd


%check
%{__python2} setup.py test


%install
pushd %{py3dir}
%py3_install
popd

%py2_install

 
%files
%doc docs/ README.rst PKG-INFO 
%{python2_sitelib}/*

%files -n python3-funcsigs
%doc docs/ README.rst PKG-INFO 
%{python3_sitelib}/*



%changelog
* Fri Feb 19 2016 umeabot <umeabot> 0.4-4.mga6
+ Revision: 970503
- Mageia 6 Mass Rebuild

  + philippem <philippem>
    - use new macros

* Wed Oct 07 2015 tv <tv> 0.4-3.mga6
+ Revision: 887095
- rebuild for python 3.5

  + ovitters <ovitters>
    - rebuild for new python3

* Fri Aug 28 2015 fwang <fwang> 0.4-1.mga6
+ Revision: 870599
- fix py3 pkg name
- imported package python-funcsigs

